# ReferenceCounted.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xercesc/framework/MemoryManager.hpp>`

Include dependency graph for ReferenceCounted.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | ReferenceCounted
| Super class for reference counted classes. More...
class | RefCountPointer< T >
| Super class of all the reference counted wrappers for Items. More...

## Defines

#define | NULLRCP ((void *)0)

## Functions

template<class T1, class T2>
bool | operator== (const RefCountPointer< T1 > &a, const RefCountPointer< T2 > &b)
template<class T1, class T2>
bool | operator!= (const RefCountPointer< T1 > &a, const RefCountPointer< T2 > &b)
template<class T>
bool | operator== (const RefCountPointer< T > &a, void *b)
template<class T>
bool | operator!= (const RefCountPointer< T > &a, void *b)

## Define Documentation

#define NULLRCP ((void *)0)

## Function Documentation

template<class T>
bool operator!= | ( | const RefCountPointer< T > & | a,
|  | void * | b
| ) | `[inline]`

template<class T1, class T2>
bool operator!= | ( | const RefCountPointer< T1 > & | a,
|  | const RefCountPointer< T2 > & | b
| ) | `[inline]`

template<class T>
bool operator== | ( | const RefCountPointer< T > & | a,
|  | void * | b
| ) | `[inline]`

template<class T1, class T2>
bool operator== | ( | const RefCountPointer< T1 > & | a,
|  | const RefCountPointer< T2 > & | b
| ) | `[inline]`